kronosnet (1.31-1ubuntu2) questing; urgency=medium

  * Fix autopkgtest failure with rust-coreutils' implementation of date
    (LP: #2125058):
    - d/p/gnu-date-check.patch: change GNU date check to also allow for
      the rust-coreutils variant
    - d/t/control: add the build-needed restriction, since the test calls
      ./configure

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 24 Sep 2025 15:25:24 -0300

kronosnet (1.31-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110420). Remaining changes:
    - d/rules: don't disable fortify feature. It adds
      -D_FORTIFY_SOURCE=0 in Ubuntu and conflicts with the upstream
      -D_FORTIFY_SOURCE=3 option.

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 29 May 2025 13:32:50 -0300

kronosnet (1.31-1) unstable; urgency=medium

  * [ad3a120] New upstream release (1.31)
  * [dbb0da7] Update Standards-Version to 4.7.2 (no changes required)
  * [df499a7] Update copyright years

 -- Ferenc Wágner <wferi@debian.org>  Thu, 24 Apr 2025 23:30:45 +0200

kronosnet (1.30-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2097419). Remaining changes:
    - d/rules: don't disable fortify feature. It adds
      -D_FORTIFY_SOURCE=0 in Ubuntu and conflicts with the upstream
      -D_FORTIFY_SOURCE=3 option.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 19 Feb 2025 14:01:43 -0300

kronosnet (1.30-1) unstable; urgency=medium

  * [ed19f14] New upstream release (1.30)
  * [c381bbc] Delete upstreamed patch
  * [4ae5529] pkgconf superseded pkg-config (also in tests)
  * [c477f8e] Update copyright years

 -- Ferenc Wágner <wferi@debian.org>  Sat, 04 Jan 2025 18:15:13 +0100

kronosnet (1.29-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064412). Remaining changes:
    - d/rules: don't disable fortify feature. It adds
      -D_FORTIFY_SOURCE=0 in Ubuntu and conflicts with the upstream
      -D_FORTIFY_SOURCE=3 option.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 14 Aug 2024 08:07:51 -0300

kronosnet (1.29-1) unstable; urgency=medium

  * [e14707f] New upstream release (1.29)
  * [eb7e5f1] Refresh our patch
  * [ff1c3d5] Update Standards-Version to 4.7.0 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Mon, 08 Jul 2024 09:25:05 +0200

kronosnet (1.28-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:36:01 +0000

kronosnet (1.28-2ubuntu1) noble; urgency=medium

  * d/rules: don't disable fortify feature. (LP: #2058222)
    It adds -D_FORTIFY_SOURCE=0 in Ubuntu and conflicts upstream -D_FORTIFY_SOURCE=3
    option.

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Thu, 14 Mar 2024 17:23:08 +0800

kronosnet (1.28-2) unstable; urgency=medium

  * [7ee73af] Annotate the versioned dpkg-dev build dependency with time64
  * [e137017] New patch: Convert time_t to unsigned long long before formatting
  * [a40628e] pkgconf superseded pkg-config

 -- Ferenc Wágner <wferi@debian.org>  Sun, 03 Mar 2024 22:22:19 +0100

kronosnet (1.28-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062501

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 15:31:26 +0000

kronosnet (1.28-1) unstable; urgency=medium

  * [b4ef57b] New upstream release (1.28)

 -- Ferenc Wágner <wferi@debian.org>  Fri, 29 Sep 2023 18:59:46 +0200

kronosnet (1.26-1) unstable; urgency=medium

  * [a7cccd8] New upstream release (1.26)
  * [7379051] Do not conflict the upstream fortify setting

 -- Ferenc Wágner <wferi@debian.org>  Tue, 01 Aug 2023 22:52:49 +0200

kronosnet (1.25-1) unstable; urgency=medium

  * [d187fbc] New upstream release (1.25)
  * [d48c205] Update Standards-Version to 4.6.2 (no changes required)
  * [df36865] Drop unused Lintian overrides.
    Now even the LZ4 adaptor plugins are linked against libc, probably due
    to some toolchain change.
  * [0cb28c2] Update debian/* copyright year

 -- Ferenc Wágner <wferi@debian.org>  Wed, 04 Jan 2023 14:15:31 +0100

kronosnet (1.24-1) unstable; urgency=medium

  * [971382a] New upstream release (1.24)
  * [4430f55] Delete released upstream patch
  * [2a73d9a] Update Standards-Version to 4.6.1 (no changes required)
  * [99fa13d] Switch to Debhelper compatibility level 13
  * [fa5b119] Replace override_dh_install with debian/not-installed

 -- Ferenc Wágner <wferi@debian.org>  Wed, 01 Jun 2022 22:11:01 +0200

kronosnet (1.23-2) unstable; urgency=medium

  * [1d79c07] New patch: [build] fix flag detections for gcc.
    Thanks to Fabio M. Di Nitto (Closes: #1000853)
  * [ccb294a] Work around our Debian patch in the autopkgtests

 -- Ferenc Wágner <wferi@debian.org>  Tue, 30 Nov 2021 15:26:12 +0100

kronosnet (1.23-1) unstable; urgency=medium

  * [12a955b] New upstream release (1.23)
  * [e55e177] Delete upstreamed patches (all of them)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 21 Nov 2021 14:56:24 +0100

kronosnet (1.22-1) unstable; urgency=medium

  * [50b3d13] New upstream release (1.22)
  * [72ed56a] Skip unsupported nozzle tests more reliably.
    Debci fails mysterious ways, it probably uses unprivileged containers.

 -- Ferenc Wágner <wferi@debian.org>  Tue, 31 Aug 2021 09:20:58 +0200

kronosnet (1.21-2) unstable; urgency=medium

  * [def6540] New patch: nozzle: skip tests if TUN support is not available
  * [c7aa7dc] Give kfreebsd architectures a chance again
  * [2c4e65b] autopkgtest: don't ignore the result of the libknet test
  * [6c5dfed] autopkgtest: save the nozzle test artifacts on failure as well
  * [7262e50] New patch: nozzle: preserve test result across cleanup

 -- Ferenc Wágner <wferi@debian.org>  Sun, 29 Aug 2021 22:17:23 +0200

kronosnet (1.21-1) unstable; urgency=medium

  * [20e1d67] Update Standards-Version to 4.6.0 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 28 Aug 2021 10:09:21 +0200

kronosnet (1.20-4) unstable; urgency=medium

  * [b9816f4] Make sure the ip utility is available for the unit test
  * [b9be1e4] Silence overeager Lintian tag

 -- Ferenc Wágner <wferi@debian.org>  Sun, 28 Feb 2021 18:08:21 +0100

kronosnet (1.20-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * [a011332] Using doxygen2man obviated the libxml2-dev build dependency
    (Closes: #981506)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 28 Feb 2021 12:46:00 +0100

kronosnet (1.20-2) unstable; urgency=medium

  * [745245f] Update Standards-Version to 4.5.1 (no changes required)
  * [8f4126b] Switch to using external doxygen2man

 -- Ferenc Wágner <wferi@debian.org>  Sat, 26 Dec 2020 16:47:11 +0100

kronosnet (1.20-1) unstable; urgency=medium

  * [4dccc91] New upstream release (1.20)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 25 Oct 2020 23:51:00 +0100

kronosnet (1.19-1) unstable; urgency=medium

  [ Steve Langasek ]
  * [0e0a046] Make autopkgtests cross-test-friendly using $DEB_HOST_ARCH.

  [ Bryce Harrington ]
  * [a906f9a] Fix FTBFS in i386 due to autopkgtest failures: Replace test
    dependencies on gcc and make, with dependency on build-essentials, which is
    special-cased for autopkgtest to use native packages for crossbuilding.

  [ Gianfranco Costamagna ]
  * [aa2f2e5] Drop libc6-dev dependency on autopkgtests, already satisfied by
    build-essential package (from Ferenc Wágner suggestion)
  * [ab9295e] Change CROSS_COMPILE into a more compact and easier logic, from
    suggestions in:
    https://salsa.debian.org/ha-team/kronosnet/-/merge_requests/2#note_182460
  * [464a0e1] Fix previous commit with suggestions from Guillem Jover

  [ Ferenc Wágner ]
  * [eee8b6e] Explicitly use only DEB_HOST_GNU_TYPE for cross testing
  * [4fd063d] Drop autoreconf from the autopkgtests.
    This isn't necessary since the Autoconf patch introduced briefly by
    a944d62 was dropped.
  * [a5d841b] New upstream release (1.19)

 -- Ferenc Wágner <wferi@debian.org>  Mon, 28 Sep 2020 19:52:57 +0200

kronosnet (1.18-1) unstable; urgency=medium

  * [c86d5b2] New upstream release (1.18) (Closes: #964608)
  * [82e8201] Delete upstreamed patch
  * [69db591] Acknowledge new symbols

 -- Ferenc Wágner <wferi@debian.org>  Sun, 19 Jul 2020 10:42:59 +0200

kronosnet (1.16-2) unstable; urgency=medium

  * [7ba18d8] Provide libqb-dev for the autopkgtests as well
  * [a944d62] New patch: Always define the Automake conditional

 -- Ferenc Wágner <wferi@debian.org>  Tue, 28 Apr 2020 23:01:40 +0200

kronosnet (1.16-1) unstable; urgency=medium

  * [b1d1a5e] Kronosnet 1.16 switched to using the libqb list implementation
    https://github.com/kronosnet/kronosnet/pull/297
  * [844fac1] New upstream release (1.16)
  * [e33125a] Update packaging list email address
  * [afafc96] The bullseye toolchain defaults to linking with --as-needed

 -- Ferenc Wágner <wferi@debian.org>  Tue, 28 Apr 2020 17:43:51 +0200

kronosnet (1.15-1) unstable; urgency=medium

  * [f958d74] New upstream release (1.15)

 -- Ferenc Wágner <wferi@debian.org>  Wed, 04 Mar 2020 16:18:23 +0100

kronosnet (1.14-1) unstable; urgency=medium

  * [ae669db] New upstream release (1.14)
  * [8b513ae] Update Standards-Version to 4.5.0 (no changes required)
  * [4cc210a] Split the autopkgtests and produce artifacts

 -- Ferenc Wágner <wferi@debian.org>  Fri, 31 Jan 2020 22:54:48 +0100

kronosnet (1.13-1) unstable; urgency=medium

  * [608258b] New upstream release (1.13)
  * [66bb300] Drop upstreamed patches (both of them)
  * [49d9f05] Update Standards-Version to 4.4.1 (no changes required)
  * [29e4306] Enable rootless build

 -- Ferenc Wágner <wferi@debian.org>  Thu, 17 Oct 2019 15:39:30 +0200

kronosnet (1.12-1) unstable; urgency=medium

  * [e258e64] New upstream release (1.12)
  * [99cc713] Refresh our patches
  * [1a80be7] The blhc test already supports adding extra arguments
    https://salsa.debian.org/salsa-ci-team/pipeline/issues/106
    Word splitting after parameter expansion can't be avoided, though,
    so the space and the quotes had to be replaced by \s (arbitrary
    whitespace is equally good here).
  * [1bab2aa] It's varying domain_host in reprotest that breaks the build
  * [aa975e1] Enable diffoscope, we're small enough

 -- Ferenc Wágner <wferi@debian.org>  Tue, 24 Sep 2019 22:06:53 +0200

kronosnet (1.11-1) unstable; urgency=medium

  * [1e1359c] New upstream release (1.11)
  * [af5e719] Refresh our patch
  * [c6b3677] Acknowledge new symbols
  * [ebf5671] zstd compression support was added in 1.10
  * [8f7ea7b] Switch to Debhelper compat level 12
  * [6395c50] Update Standards-Version to 4.4.0 (no changes required)
  * [8d986ec] New patch: Fix typo: trasport -> transport
  * [4d77990] Enroll to basic Salsa CI
  * [1257ff3] Exclude the internal doxyxml build from the blhc report
  * [0b9e147] Allow the reproducibility tests fail for a while

 -- Ferenc Wágner <wferi@debian.org>  Sat, 24 Aug 2019 17:51:57 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libnozzle1t64`.
